require "benchmark"
require "ipc"
require "../test-ws"

ws_uri = "ws://localhost:1234/pong.JSON"

message = IPC::Message.from_json(%({ "mtype" : 3, "utype" : 30, "payload" : "coucou" }))
pong = IPC::Connection.new "pong"

Benchmark.ips do |bm|
	bm.report("connection") do
		c = IPC::Connection.new "pong"
	end
end

#puts "sleeping 5 seconds"
#sleep 5
#
#Benchmark.ips do |bm|
#	bm.report("connection through websocket") do
#		tws = TestWS.new ws_uri
#	end
#end
